Loading...
Searching...
No Matches
pcl::TSDFVolume< VoxelT, WeightT >::Intr Struct Reference

Camera intrinsics structure. More...

`#include </build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/kinfu/tools/tsdf_volume.h>`

## Public Member Functions

| Intr ()
| Intr (float fx_, float fy_, float cx_, float cy_)
Intr | operator() (int level_index) const

## Public Attributes

float | fx
float | fy
float | cx
float | cy

## Friends

std::ostream & | operator<< (std::ostream &os, const Intr &intr)

## Detailed Description

template<typename VoxelT, typename WeightT>
struct pcl::TSDFVolume< VoxelT, WeightT >::Intr

Camera intrinsics structure.

Definition at line 108 of file tsdf_volume.h.

## Constructor & Destructor Documentation

## Intr() [1/2]

template<typename VoxelT , typename WeightT >

pcl::TSDFVolume< VoxelT, WeightT >::Intr::Intr | ( |  | ) |

inline

Definition at line 111 of file tsdf_volume.h.

## Intr() [2/2]

template<typename VoxelT , typename WeightT >

pcl::TSDFVolume< VoxelT, WeightT >::Intr::Intr | ( | float | fx_,
|  | float | fy_,
|  | float | cx_,
|  | float | cy_
| ) |  |

inline

Definition at line 112 of file tsdf_volume.h.

## Member Function Documentation

## operator()()

template<typename VoxelT , typename WeightT >

Intr pcl::TSDFVolume< VoxelT, WeightT >::Intr::operator() | ( | int | level_index | ) | const

inline

Definition at line 115 of file tsdf_volume.h.

References pcl::TSDFVolume< VoxelT, WeightT >::Intr::cx, pcl::TSDFVolume< VoxelT, WeightT >::Intr::cy, pcl::TSDFVolume< VoxelT, WeightT >::Intr::fx, and pcl::TSDFVolume< VoxelT, WeightT >::Intr::fy.

## Friends And Related Symbol Documentation

## operator<<

template<typename VoxelT , typename WeightT >

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Intr & | intr
| ) |  |

friend

Definition at line 121 of file tsdf_volume.h.

## Member Data Documentation

## cx

template<typename VoxelT , typename WeightT >

float pcl::TSDFVolume< VoxelT, WeightT >::Intr::cx

Definition at line 110 of file tsdf_volume.h.

Referenced by pcl::TSDFVolume< VoxelT, WeightT >::Intr::operator()().

## cy

template<typename VoxelT , typename WeightT >

float pcl::TSDFVolume< VoxelT, WeightT >::Intr::cy

Definition at line 110 of file tsdf_volume.h.

Referenced by pcl::TSDFVolume< VoxelT, WeightT >::Intr::operator()().

## fx

template<typename VoxelT , typename WeightT >

float pcl::TSDFVolume< VoxelT, WeightT >::Intr::fx

Definition at line 110 of file tsdf_volume.h.

Referenced by pcl::TSDFVolume< VoxelT, WeightT >::Intr::operator()().

## fy

template<typename VoxelT , typename WeightT >

float pcl::TSDFVolume< VoxelT, WeightT >::Intr::fy

Definition at line 110 of file tsdf_volume.h.

Referenced by pcl::TSDFVolume< VoxelT, WeightT >::Intr::operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-KfHoN9/pcl-1.15.0+dfsg/gpu/kinfu/tools/tsdf_volume.h